paso::Options Struct Reference

`#include <Options.h>`

## Public Member Functions

| Options ()
| Options (const boost::python::object &options)
| constructor that fills values from an escript SolverBuddy instance More...
void | setDefaults ()
| sets the default values for solver options More...
void | show () const
| prints current option values More...
void | showDiagnostics () const
| prints diagnostic data More...
void | updateEscriptDiagnostics (boost::python::object &options) const
| updates SolverBuddy diagnostics from this More...

## Static Public Member Functions

static int | mapEscriptOption (int escriptOption)
| returns the corresponding paso option code for an escript option code More...
static const char * | name (int key)
static int | getPackage (int solver, int package, bool symmetry, const escript::JMPI &mpi_info)
static int | getSolver (int solver, int package, bool symmetry, const escript::JMPI &mpi_info)
| returns the solver to be used with given combination More...

## Public Attributes

int | method
int | package
bool | symmetric
bool | hermitian
double | tolerance
double | absolute_tolerance
double | inner_tolerance
bool | adapt_inner_tolerance
bool | verbose
bool | reordering
int | preconditioner
dim_t | iter_max
dim_t | inner_iter_max
double | drop_tolerance
double | drop_storage
index_t | truncation
index_t | restart
int | sweeps
bool | accept_failed_convergence
double | relaxation_factor
bool | use_local_preconditioner
dim_t | refinements
int | ode_solver
dim_t | num_iter
dim_t | num_level
dim_t | num_inner_iter
double | time
double | set_up_time
double | coarsening_selection_time
double | coarsening_matrix_time
double | net_time
double | residual_norm
bool | converged
double | preconditioner_size
bool | time_step_backtracking_used
double | coarse_level_sparsity
dim_t | num_coarse_unknowns

## Constructor & Destructor Documentation

## Options() [1/2]

paso::Options::Options | ( |  | ) |

inline

References setDefaults().

## Options() [2/2]

paso::Options::Options | ( | const boost::python::object & | options | ) |

constructor that fills values from an escript SolverBuddy instance

## Member Function Documentation

## getPackage()

int paso::Options::getPackage | ( | int | solver,
|  | int | package,
|  | bool | symmetry,
|  | const escript::JMPI & | mpi_info
| ) |  |

static

## getSolver()

int paso::Options::getSolver | ( | int | solver,
|  | int | package,
|  | bool | symmetry,
|  | const escript::JMPI & | mpi_info
| ) |  |

static

returns the solver to be used with given combination

References PASO_PCG.

## mapEscriptOption()

int paso::Options::mapEscriptOption | ( | int | escriptOption | ) |

static

returns the corresponding paso option code for an escript option code

## name()

const char * paso::Options::name | ( | int | key | ) |

static

## setDefaults()

void paso::Options::setDefaults | ( |  | ) |

sets the default values for solver options

Referenced by Options().

## show()

void paso::Options::show | ( |  | ) | const

prints current option values

## showDiagnostics()

void paso::Options::showDiagnostics | ( |  | ) | const

prints diagnostic data

## updateEscriptDiagnostics()

void paso::Options::updateEscriptDiagnostics | ( | boost::python::object & | options | ) | const

updates SolverBuddy diagnostics from this

Referenced by paso::TransportProblem::setToSolution().

## Member Data Documentation

## absolute_tolerance

double paso::Options::absolute_tolerance

Referenced by paso::FCT_Solver::updateNL().

## accept_failed_convergence

bool paso::Options::accept_failed_convergence

## adapt_inner_tolerance

bool paso::Options::adapt_inner_tolerance

## coarse_level_sparsity

double paso::Options::coarse_level_sparsity

## coarsening_matrix_time

double paso::Options::coarsening_matrix_time

## coarsening_selection_time

double paso::Options::coarsening_selection_time

## converged

bool paso::Options::converged

## drop_storage

double paso::Options::drop_storage

## drop_tolerance

double paso::Options::drop_tolerance

## hermitian

bool paso::Options::hermitian

## inner_iter_max

dim_t paso::Options::inner_iter_max

## inner_tolerance

double paso::Options::inner_tolerance

## iter_max

dim_t paso::Options::iter_max

Referenced by paso::FCT_Solver::updateNL().

## method

int paso::Options::method

## net_time

double paso::Options::net_time

## num_coarse_unknowns

dim_t paso::Options::num_coarse_unknowns

## num_inner_iter

dim_t paso::Options::num_inner_iter

## num_iter

dim_t paso::Options::num_iter

Referenced by paso::FCT_Solver::updateNL().

## num_level

dim_t paso::Options::num_level

## ode_solver

int paso::Options::ode_solver

Referenced by paso::FCT_Solver::FCT_Solver().

## package

int paso::Options::package

## preconditioner

int paso::Options::preconditioner

Referenced by paso::FCT_Solver::initialize().

## preconditioner_size

double paso::Options::preconditioner_size

## refinements

dim_t paso::Options::refinements

## relaxation_factor

double paso::Options::relaxation_factor

## reordering

bool paso::Options::reordering

## residual_norm

double paso::Options::residual_norm

## restart

index_t paso::Options::restart

## set_up_time

double paso::Options::set_up_time

## sweeps

int paso::Options::sweeps

Referenced by paso::FCT_Solver::initialize().

## symmetric

bool paso::Options::symmetric

## time

double paso::Options::time

## time_step_backtracking_used

bool paso::Options::time_step_backtracking_used

## tolerance

double paso::Options::tolerance

Referenced by paso::FCT_Solver::updateLCN(), and paso::FCT_Solver::updateNL().

## truncation

index_t paso::Options::truncation

## use_local_preconditioner

bool paso::Options::use_local_preconditioner

Referenced by paso::FCT_Solver::initialize().

## verbose

bool paso::Options::verbose

Referenced by paso::FCT_Solver::initialize(), paso::FCT_Solver::updateLCN(), and paso::FCT_Solver::updateNL().

The documentation for this struct was generated from the following files:

- Options.h
- Options.cpp